function z=fval5(x,y)
%FVAL5 is the function for Test 5 in [1].
%
%   The algorithm is described in
%   [1] D. Breda, S. Maset and R. Vermiglio, "An adaptive algorithm for
%   efficient computation of level curves of surfaces"
%   Numerical Algorithms xx (2009), pp.xx-xx.
%   Last modified december 24th, 2008.

global lambda A nA
x=x(1,:);
y=y(:,1);
for j=1:length(x)
    for k=1:length(y)
        z(j,k)=norm(inv((x(j)+i*y(k))*eye(nA)-A),inf);
    end
end
z=z';